Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class TransformerCommon

    java.lang.Object
      org.jboss.aop.instrument.TransformerCommon

public class TransformerCommon
extends Object

A few handy methods and common things used by the other Transformers

Version:
  $Revision: 1.10 $
Author:
  Kabir Khan

Constructor Summary
`TransformerCommon()`

Method Summary
`protected static void` | `addInfoField(Instrumentor instrumentor, String infoClassName, String infoName, int modifiers, javassist.CtClass addTo, boolean weak, javassist.CtField.Initializer init)`
`static void` | `compileOrLoadClass(javassist.CtClass classForPackage, javassist.CtClass newClass)`
`static void` | `compileOrLoadClass(javassist.CtClass classForPackage, javassist.CtClass newClass, boolean compile)` Compiles the class to file or adds it to the class pool
`protected static String` | `infoFromWeakReference(String infoClassName, String localName, String infoName)`
`static boolean` | `isCompileTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerCommon

    public TransformerCommon()

Method Detail

### isCompileTime

    public static boolean isCompileTime()

### compileOrLoadClass

    public static void compileOrLoadClass(javassist.CtClass classForPackage,
                                          javassist.CtClass newClass)

### compileOrLoadClass

    public static void compileOrLoadClass(javassist.CtClass classForPackage,
                                          javassist.CtClass newClass,
                                          boolean compile)

  Compiles the class to file or adds it to the class pool

  Parameters:
    `classForPackage` - The class to be used to determine the directory to place the class in
  Throws:
    `Exception`

### addInfoField

    protected static void addInfoField(Instrumentor instrumentor,
                                       String infoClassName,
                                       String infoName,
                                       int modifiers,
                                       javassist.CtClass addTo,
                                       boolean weak,
                                       javassist.CtField.Initializer init)
                                throws javassist.NotFoundException,
                                       javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### infoFromWeakReference

    protected static String infoFromWeakReference(String infoClassName,
                                                  String localName,
                                                  String infoName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.